PETSc version 3.17.4
Fix/Edit manual page

# DMPlexCreateRigidBody

For the default global section, create rigid body modes by function space interpolation

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRigidBody(DM dm, PetscInt field, MatNullSpace *sp)

Collective on dm

### Input Parameters

| dm | - the DM
| field | - The field number for the rigid body space, or 0 for the default

### Output Parameter

| sp | - the null space

Note: This is necessary to provide a suitable coarse space for algebraic multigrid

### See Also

MatNullSpaceCreate(), PCGAMG

### Level

advanced

### Location

src/dm/impls/plex/plexfem.c

### Examples

src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex77.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages